
Foreman - Bug #11743

Multiple 'wwan0' interfaces prevent rebuilding of machine

09/09/2015 06:31 AM - Simon Wydooghe

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Our machines sometimes have different WWAN usb sticks which get plugged in from time to time.

Today I tried to rebuild a machine like this, and couldn't because some interfaces were invalid.

I'm guessing this has to do with the same interface having multiple MAC addresses? If I try to delete the interfaces, I get the same

error claiming the interfaces are invalid.

Screenshot attached! Let me know what I can do to help debug...

Related issues:

Is duplicate of Foreman - Bug #11031: Cannot remove interface with duplicate ... Closed 07/07/2015

History

#1 - 09/09/2015 06:40 AM - Dominic Cleal

- Is duplicate of Bug #11031: Cannot remove interface with duplicate name added

#2 - 09/09/2015 06:40 AM - Dominic Cleal

- Status changed from New to Feedback

I think #11031 will permit you to delete these duplicate interfaces from the web UI, when released soon in Foreman 1.8.4.

#3 - 09/09/2015 07:31 AM - Simon Wydooghe

Dominic Cleal wrote:

I think #11031 will permit you to delete these duplicate interfaces from the web UI, when released soon in Foreman 1.8.4.

 Thanks for the quick follow-up, Dominic. I'm using 1.9.0 at the moment, the same fix will be applied to upcoming 1.9.1 release?

#4 - 09/09/2015 07:36 AM - Dominic Cleal

Simon Wydooghe wrote:

Dominic Cleal wrote:

I think #11031 will permit you to delete these duplicate interfaces from the web UI, when released soon in Foreman 1.8.4.

 Thanks for the quick follow-up, Dominic. I'm using 1.9.0 at the moment, the same fix will be applied to upcoming 1.9.1 release?

 Yep, that's right.

#5 - 05/17/2017 10:54 AM - Anonymous

- Status changed from Feedback to Duplicate
